#include <cdevCollection.h>
#include <cdevCollectionRequest.h>
#include <cdevData.h>

int main(int argc, char ** argv)
{
cdevSystem::defaultSystem().setThreshold(CDEV_SEVERITY_ERROR);

cdevData output;
cdevCollection & new1 = cdevCollection::attachRef("new1");

/*
new1.add(14, "IPM1S01", "IPM1S02", "IPM1S03", "IPM1S05", "IPM1S07", "IPM1S08", "IPM1S09", 
            "device0", "device1", "device2", "device3", "device4", "device5", "device6");
*/
int i = argc>1?atoi(argv[1]):100;
fprintf(stdout, "Running for %i iterations\n", i);
while(i>0)
	{
	new1.send("get attrib1", NULL, &output);
	i--;
	}
output.asciiDump();
}

